[libreport] build fixes for the new automake-1.13 in koji

Jiří Moskovčák jmoskovc at fedoraproject.org
Fri Apr 5 08:31:39 UTC 2013


commit 595a4a3ade43c1799a24a4cfb71c79e0c514a47a
Author: Jiri Moskovcak <jmoskovc at redhat.com>
Date:   Fri Apr 5 10:31:20 2013 +0200

    build fixes for the new automake-1.13 in koji

 autogen.sh     |   70 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libreport.spec |    5 +++-
 2 files changed, 74 insertions(+), 1 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..c6e1729
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,70 @@
+#! /bin/sh
+
+print_help()
+{
+cat << EOH
+Prepares the source tree for configuration
+
+Usage:
+  autogen.sh [sydeps [--install]]
+
+Options:
+
+  sysdeps          prints out all dependencies
+    --install      install all dependencies ('sudo yum install \$DEPS')
+
+EOH
+}
+
+build_depslist()
+{
+    DEPS_LIST=`grep "^\(Build\)\?Requires:" *.spec.in | grep -v "%{name}" | tr -s " " | tr "," "\n" | cut -f2 -d " " | grep -v "^libreport" | sort -u | tr "\n" " "`
+}
+
+case "$1" in
+    "--help"|"-h")
+            print_help
+            exit 0
+        ;;
+    "sysdeps")
+            build_depslist
+
+            if [ "$2" == "--install" ]; then
+                set -x verbose
+                sudo yum install $DEPS_LIST
+                set +x verbose
+            else
+                echo $DEPS_LIST
+            fi
+            exit 0
+        ;;
+    *)
+            echo "Running gen-version"
+            ./gen-version
+
+            mkdir -p m4
+            echo "Creating m4/aclocal.m4 ..."
+            test -r m4/aclocal.m4 || touch m4/aclocal.m4
+
+            echo "Running autopoint"
+            autopoint --force || exit 1
+
+            echo "Running intltoolize..."
+            intltoolize --force --copy --automake || exit 1
+
+            echo "Running aclocal..."
+            aclocal || exit 1
+
+            echo "Running libtoolize..."
+            libtoolize || exit 1
+
+            echo "Running autoheader..."
+            autoheader || return 1
+
+            echo "Running autoconf..."
+            autoconf --force || exit 1
+
+            echo "Running automake..."
+            automake --add-missing --force --copy || exit 1
+        ;;
+esac
diff --git a/libreport.spec b/libreport.spec
index c0a8868..d3d9eef 100644
--- a/libreport.spec
+++ b/libreport.spec
@@ -10,6 +10,7 @@ License: GPLv2+
 Group: System Environment/Libraries
 URL: https://fedorahosted.org/abrt/
 Source: https://fedorahosted.org/released/abrt/%{name}-%{version}.tar.gz
+Source1: autogen.sh
 
 BuildRequires: dbus-devel
 BuildRequires: gtk3-devel
@@ -271,9 +272,11 @@ infrastructure or uploading the gathered data over ftp/scp...
 %patch1 -p1
 %patch2 -p1
 %patch3 -p1
+# koji in f19 has new autotools, so we need to regenerate everything
+cp %SOURCE1 %_builddir/%{name}-%{version}
+./autogen.sh
 
 %build
-autoconf
 # Commented because of deprecated GTK API
 #CFLAGS="%{optflags} -Werror" %configure --disable-silent-rules
 CFLAGS="%{optflags}" %configure --enable-doxygen-docs --disable-silent-rules


More information about the scm-commits mailing list